<?php
    //  = Default Theme Customizer Settings  =
function oneline_lite_customize_register( $wp_customize ) {
$testi_image =get_template_directory_uri().'/images/testimonial-image.png';
$team_image =get_template_directory_uri().'/images/Team-Placeholder.jpg';

   $cats = array();
   $cats[0] = 'All Categories';
    foreach ( get_categories() as $categories => $category ){
        $cats[$category->term_id] = $category->name;
 }
// demo content enable/disbale

$wp_customize->add_section('demo_content_panel', array(
            'title'    => __('Demo Content Enbale/Disable', 'oneline-lite'),
            'priority' => 1,
         ));

    $wp_customize->add_setting('demo_content_endis', array(
            'default'           => 'disable',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('demo_content_endis', array(
            'label'    => __('Home Page Demo Content', 'oneline-lite'),
            'section'  => 'demo_content_panel',
            'settings' => 'demo_content_endis',
             'type'       => 'radio',
             'choices' => array(
            'disable' => 'Disable',
            'enable' => 'Enable',
        ),
        ));


     //  Genral Settings 
    $pageTemplate = get_page_template_slug(get_option('page_on_front'));


  $wp_customize->get_section('title_tagline')->title = esc_html__('General Settings', 'oneline-lite');
   $wp_customize->get_section('title_tagline')->priority = 3;
   //Menu Options
    if($pageTemplate == 'home-template.php'):
        //****** Slider Section ****//
    $wp_customize->add_panel( 'slider_panel', array(
        'priority'       => 5,
        'title'          => __('Slider Section', 'oneline-lite'),
        'description'    => '',
        ));
$wp_customize->add_section('section_sorting', array(
        'title'    => __('Section Ordering', 'oneline-lite'),
        'priority' => 3,
        
    ));
// section ordering
$wp_customize->add_setting('_sorting', array(
        'default'        =>array('section_slider','section_services','section_ribbon',
        'section_team','section_testimonial','section_blog',
        'section_countactus','section_woo',),
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_checkbox_explode'
    ));
    $wp_customize->add_control(new Oneline_Lite_Customize_Sort_List(
         $wp_customize,'_sorting', array(
        'settings' => '_sorting',
        'label'   => __( 'Section Order Option', 'oneline-lite' ),
        'section' => 'section_sorting',
        'choices' => array(
                    'section_slider'         => __( '1 Slider Section',          'oneline-lite' ),
                    'section_services'       => __( '2 Our Services',            'oneline-lite' ),
                    'section_ribbon'         => __( '3 Ribbon Section',          'oneline-lite' ),
                    
                    'section_team'           => __( '4 Our Team Section',        'oneline-lite' ),
                    'section_testimonial'    => __( '5 Testimonial Section',     'oneline-lite' ),                    
                    'section_blog'           => __( '6 Latest Post Section',     'oneline-lite' ),
                    
                    'section_countactus'     => __( '7 Contact Us Section',     'oneline-lite' ),
                     'section_woo'            => __( '8 Woocommerce Section',            'oneline-lite' ),

            )
        ) 
    )
);


        //First slider image
        $wp_customize->add_section('section_slider_first', array(
            'title'    => __('#1 Slider', 'oneline-lite'),
            'priority' => 1,
             'panel'  => 'slider_panel',
         ));
         $wp_customize->add_setting('first_slider_image', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_upload'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'first_slider_image', array(
            'label'    => __('Slider Image Upload', 'oneline-lite'),
            'section'  => 'section_slider_first',
            'settings' => 'first_slider_image',
        )));
        $wp_customize->add_setting('first_slider_heading', array(
            'default'           => __('Heading','oneline-lite'),
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea',
        ));
        $wp_customize->add_control('first_slider_heading', array(
            'label'    => __('Slider Heading', 'oneline-lite'),
            'section'  => 'section_slider_first',
            'settings' => 'first_slider_heading',
             'type'       => 'textarea',
        ));
        $wp_customize->add_setting('first_slider_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('first_slider_link', array(
            'label'    => __('Link for Heading', 'oneline-lite'),
            'section'  => 'section_slider_first',
            'settings' => 'first_slider_link',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('first_button_text', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('first_button_text', array(
            'label'    => __('Text for button', 'oneline-lite'),
            'section'  => 'section_slider_first',
            'settings' => 'first_button_text',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('first_button_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url_raw',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('first_button_link', array(
            'label'    => __('Link for button', 'oneline-lite'),
            'section'  => 'section_slider_first',
            'settings' => 'first_button_link',
             'type'       => 'text',
        ));

        //Second slider image

        $wp_customize->add_section('section_slider_second', array(
            'title'    => __('#2 Slider', 'oneline-lite'),
            'priority' => 2,
             'panel'  => 'slider_panel',
        ));
        $wp_customize->add_setting('second_slider_image', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_upload'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'second_slider_image', array(
            'label'    => __('Slider Image Upload', 'oneline-lite'),
            'section'  => 'section_slider_second',
            'settings' => 'second_slider_image',
        )));
        $wp_customize->add_setting('second_slider_heading', array(
            'default'           => __('Heading','oneline-lite'),
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('second_slider_heading', array(
            'label'    => __('Slider Heading', 'oneline-lite'),
            'section'  => 'section_slider_second',
            'settings' => 'second_slider_heading',
             'type'       => 'textarea',
        ));
        $wp_customize->add_setting('second_slider_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('second_slider_link', array(
            'label'    => __('Link for Heading', 'oneline-lite'),
            'section'  => 'section_slider_second',
            'settings' => 'second_slider_link',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('second_button_text', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('second_button_text', array(
            'label'    => __('Text for button', 'oneline-lite'),
            'section'  => 'section_slider_second',
            'settings' => 'second_button_text',
             'type'       => 'text',
         ));
        $wp_customize->add_setting('second_button_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url_raw',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('second_button_link', array(
            'label'    => __('Link for button', 'oneline-lite'),
            'section'  => 'section_slider_second',
            'settings' => 'second_button_link',
             'type'       => 'text',
        ));
        //Second Third image

        $wp_customize->add_section('section_slider_third', array(
            'title'    => __('#3 Slider', 'oneline-lite'),
            'priority' => 3,
             'panel'  => 'slider_panel',
        ));
        $wp_customize->add_setting('third_slider_image', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_upload'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'third_slider_image', array(
            'label'    => __('Slider Image Upload', 'oneline-lite'),
            'section'  => 'section_slider_third',
            'settings' => 'third_slider_image',
        )));
        $wp_customize->add_setting('third_slider_heading', array(
            'default'           => __('Heading','oneline-lite'),
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('third_slider_heading', array(
            'label'    => __('Slider Heading', 'oneline-lite'),
            'section'  => 'section_slider_third',
            'settings' => 'third_slider_heading',
             'type'       => 'textarea',
        ));
        $wp_customize->add_setting('third_slider_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('third_slider_link', array(
            'label'    => __('Link for Heading', 'oneline-lite'),
            'section'  => 'section_slider_third',
            'settings' => 'third_slider_link',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('third_button_text', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('third_button_text', array(
            'label'    => __('Text for button', 'oneline-lite'),
            'section'  => 'section_slider_third',
            'settings' => 'third_button_text',
             'type'       => 'text',
         ));
        $wp_customize->add_setting('third_button_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url_raw',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('third_button_link', array(
            'label'    => __('Link for button', 'oneline-lite'),
            'section'  => 'section_slider_third',
            'settings' => 'third_button_link',
             'type'       => 'text',
        ));
// end slider section
/** Our Services Section ***/
    $wp_customize->add_panel( 'services_panel', array(
        'priority'       => 5,
        'title'          => __('Services Section', 'oneline-lite'),
    ) );
    $wp_customize->add_section('services_setting', array(
        'title'    => __('Header Settings', 'oneline-lite'),
        'priority' => 1,
        'panel'    =>'services_panel'
    ));
    $wp_customize->add_setting('our_services_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
   $wp_customize->add_control('our_services_heading', array(
        'label'    => __('Main Heading', 'oneline-lite'),
        'section'  => 'services_setting',
        'settings' => 'our_services_heading',
         'type'       => 'text',
    )); 
    $wp_customize->add_setting('our_services_subheading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'

    ));
    $wp_customize->add_control('our_services_subheading', array(
        'label'    => __('Sub Heading', 'oneline-lite'),
        'section'  => 'services_setting',
        'settings' => 'our_services_subheading',
        'type'       => 'textarea',
    )); 



                //  =============================
                 //  = Services Three Column Settings       =
                 //  ============================


           // Feature First Block
     $wp_customize->add_section('first_service_block', array(
        'title'    => __('First Service Section', 'oneline-lite'),
        'priority' => 20,
         'panel'  => 'services_panel',
    ));
    $wp_customize->add_setting('first_service_font_icon', array(
        'default'           => 'fa fa-taxi',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('first_service_font_icon', array(
        'label'    => __('Service Icon', 'oneline-lite'),
        'section'  => 'first_service_block',
        'settings' => 'first_service_font_icon',
         'type'       => 'text',
    ));

       $wp_customize->add_setting('first_service_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('first_service_heading', array(
        'label'    => __('Service Heading', 'oneline-lite'),
        'section'  => 'first_service_block',
        'settings' => 'first_service_heading',
         'type'       => 'text',
    ));

          $wp_customize->add_setting('first_service_link', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url',
    ));
    $wp_customize->add_control('first_service_link', array(
        'label'    => __('Service Heading Link', 'oneline-lite'),
        'section'  => 'first_service_block',
        'settings' => 'first_service_link',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('first_service_desc', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('first_service_desc', array(
        'label'    => __('Service Description', 'oneline-lite'),
        'section'  => 'first_service_block',
        'settings' => 'first_service_desc',
         'type'       => 'textarea',
    ));


    // Service Second Block
     $wp_customize->add_section('second_service_block', array(
        'title'    => __('Second Service Section', 'oneline-lite'),
        'priority' => 20,
         'panel'  => 'services_panel',
    ));
    $wp_customize->add_setting('second_service_font_icon', array(
        'default'           => 'fa fa-taxi',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('second_service_font_icon', array(
        'label'    => __('Service Icon', 'oneline-lite'),
        'section'  => 'second_service_block',
        'settings' => 'second_service_font_icon',
         'type'       => 'text',
    ));

       $wp_customize->add_setting('second_service_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('second_service_heading', array(
        'label'    => __('Service Heading', 'oneline-lite'),
        'section'  => 'second_service_block',
        'settings' => 'second_service_heading',
         'type'       => 'text',
    ));

          $wp_customize->add_setting('second_service_link', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url',
    ));
    $wp_customize->add_control('second_service_link', array(
        'label'    => __('Service Heading Link', 'oneline-lite'),
        'section'  => 'second_service_block',
        'settings' => 'second_service_link',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('second_service_desc', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('second_service_desc', array(
        'label'    => __('Service Description', 'oneline-lite'),
        'section'  => 'second_service_block',
        'settings' => 'second_service_desc',
         'type'       => 'textarea',
    ));

    // Service Third Block
     $wp_customize->add_section('third_service_block', array(
        'title'    => __('Third Service Section', 'oneline-lite'),
        'priority' => 20,
         'panel'  => 'services_panel',
    ));
    $wp_customize->add_setting('third_service_font_icon', array(
        'default'           => 'fa fa-taxi',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('third_service_font_icon', array(
        'label'    => __('Service Icon', 'oneline-lite'),
        'section'  => 'third_service_block',
        'settings' => 'third_service_font_icon',
         'type'       => 'text',
    ));

       $wp_customize->add_setting('third_service_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('third_service_heading', array(
        'label'    => __('Service Heading', 'oneline-lite'),
        'section'  => 'third_service_block',
        'settings' => 'third_service_heading',
         'type'       => 'text',
    ));

          $wp_customize->add_setting('third_service_link', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url',
    ));
    $wp_customize->add_control('third_service_link', array(
        'label'    => __('Service Heading Link', 'oneline-lite'),
        'section'  => 'third_service_block',
        'settings' => 'third_service_link',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('third_service_desc', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('third_service_desc', array(
        'label'    => __('Service Description', 'oneline-lite'),
        'section'  => 'third_service_block',
        'settings' => 'third_service_desc',
         'type'       => 'textarea',
    ));

     // Service Fourth Block
     $wp_customize->add_section('fourth_service_block', array(
        'title'    => __('Third Service Section', 'oneline-lite'),
        'priority' => 20,
         'panel'  => 'services_panel',
    ));
    $wp_customize->add_setting('fourth_service_font_icon', array(
        'default'           => 'fa fa-taxi',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('fourth_service_font_icon', array(
        'label'    => __('Service Icon', 'oneline-lite'),
        'section'  => 'fourth_service_block',
        'settings' => 'fourth_service_font_icon',
         'type'       => 'text',
    ));

       $wp_customize->add_setting('fourth_service_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('fourth_service_heading', array(
        'label'    => __('Service Heading', 'oneline-lite'),
        'section'  => 'fourth_service_block',
        'settings' => 'fourth_service_heading',
         'type'       => 'text',
    ));

          $wp_customize->add_setting('fourth_service_link', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url',
    ));
    $wp_customize->add_control('fourth_service_link', array(
        'label'    => __('Service Heading Link', 'oneline-lite'),
        'section'  => 'fourth_service_block',
        'settings' => 'fourth_service_link',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('fourth_service_desc', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('fourth_service_desc', array(
        'label'    => __('Service Description', 'oneline-lite'),
        'section'  => 'fourth_service_block',
        'settings' => 'fourth_service_desc',
         'type'       => 'textarea',
    ));
//-------------------End Service Three Column Panel----------------------------//

/** Our Ribbon Section ***/
    $wp_customize->add_panel( 'ribbon_panel', array(
        'priority'       => 6,
        'title'          => __('Ribbon Section', 'oneline-lite'),
    ) );
    $wp_customize->add_section('ribbon_sittings', array(
        'title'    => __('Settings', 'oneline-lite'),
        'priority' => 1,
        'panel'    =>'ribbon_panel'
    ));
    $wp_customize->add_setting('ribbon_heading', array(
        'default'           => '',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('ribbon_heading', array(
        'label'    => __('Main Heading', 'oneline-lite'),
        'section'  => 'ribbon_sittings',
        'settings' => 'ribbon_heading',
        'type'       => 'text',
    ));
    $wp_customize->add_setting('ribbon_button_text', array(
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
   $wp_customize->add_control('ribbon_button_text', array(
        'label'    => __('Button Text', 'oneline-lite'),
        'section'  => 'ribbon_sittings',
        'settings' => 'ribbon_button_text',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('ribbon_button_link', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control('ribbon_button_link', array(
        'label'    => __('Button Link', 'oneline-lite'),
        'section'  => 'ribbon_sittings',
        'settings' => 'ribbon_button_link',
         'type'       => 'text',
    )); 
     
    //image
    $wp_customize->add_section('ribbon_image', array(
        'title'    => __('Video', 'oneline-lite'),
        'priority' => 3,
        'panel'    =>'ribbon_panel'
    ));
   $wp_customize->add_setting('ribbon_bg_options', array(
       'default'        => 'image',
       'capability'     => 'edit_theme_options',
       'sanitize_callback' => 'sanitize_text_field'
   ));

    $wp_customize->add_setting('ribbon_bg_image', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control(
        $wp_customize, 'ribbon_bg_image', array(
        'label'    => __('Upload Video Poster', 'oneline-lite'),
        'section'  => 'ribbon_image',
        'settings' => 'ribbon_bg_image',
    )));
     $wp_customize->add_setting('ribbon_bg_video', array(
       'default'        => '',
       'sanitize_callback' => 'sanitize_text_field'
   ));
   $wp_customize->add_control( new WP_Customize_Upload_Control(
       $wp_customize, 'ribbon_bg_video', array(
       'label'    => __('Upload Background Video', 'oneline-lite'),
       'section'  => 'ribbon_image',
       'settings' => 'ribbon_bg_video',
   )));
// Color
    $wp_customize->add_section('ribbon_color', array(
        'title'    => __('Color', 'oneline-lite'),
        'priority' => 4,
        'panel'    =>'ribbon_panel'
    ));
    $wp_customize->add_setting('ribbon_background_color', array(
        'default'        => '#1F1F1F',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'ribbon_background_color', array(
        'label'      => __('Background Color', 'oneline-lite' ),
        'section'    => 'ribbon_color',
        'settings'   => 'ribbon_background_color',
    ) ) );
    $wp_customize->add_setting('ribbon_text_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'ribbon_text_color', array(
        'label'      => __('Ribbon Text Color', 'oneline-lite' ),
        'section'    => 'ribbon_color',
        'settings'   => 'ribbon_text_color',
    ) ) );
    $wp_customize->add_setting('ribbon_btntext_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'ribbon_btntext_color', array(
        'label'      => __('Button Text Color', 'oneline-lite' ),
        'section'    => 'ribbon_color',
        'settings'   => 'ribbon_btntext_color',
    ) ) );
    
// end ribbon
/** Our Team Section ***/
    $wp_customize->add_panel( 'team_panel', array(
        'priority'       => 9,
        'title'          => __('Team Section', 'oneline-lite'),
        ));
    //header
        $wp_customize->add_section('team_setting', array(
            'title'    => __('Settings', 'oneline-lite'),
            'priority' => 1,
            'panel'    =>'team_panel'
            ));
        $wp_customize->add_setting('team_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
       $wp_customize->add_control('team_heading', array(
            'label'    => __('Main Heading', 'oneline-lite'),
            'section'  => 'team_setting',
            'settings' => 'team_heading',
             'type'       => 'text',
            )); 
        $wp_customize->add_setting('team_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
        $wp_customize->add_control('team_subheading', array(
            'label'    => __('Sub Heading', 'oneline-lite'),
            'section'  => 'team_setting',
            'settings' => 'team_subheading',
             'type'       => 'textarea',
            ));

//our team first section

     $wp_customize->add_section('our_team_first', array(
        'title'    => __('First Member Settings', 'oneline-lite'),
         'panel'  => 'team_panel',
    ));
    $wp_customize->add_setting('our_team_img_first', array(
        'capability'        => 'edit_theme_options',
        'default'           =>$team_image,
        'sanitize_callback' => 'oneline_lite_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'our_team_img_first', array(
        'label'    => __('Member Image', 'oneline-lite'),
        'section'  => 'our_team_first',
        'settings' => 'our_team_img_first',
    )));
    $wp_customize->add_setting('our_team_heading_first', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('our_team_heading_first', array(
        'label'    => __('Member Title', 'oneline-lite'),
        'section'  => 'our_team_first',
        'settings' => 'our_team_heading_first',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('our_team_subhead_first', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('our_team_subhead_first', array(
        'label'    => __('Member Designation', 'oneline-lite'),
        'section'  => 'our_team_first',
        'settings' => 'our_team_subhead_first',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('our_team_link_first', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_link_first', array(
        'label'    => __('Member Link', 'oneline-lite'),
        'section'  => 'our_team_first',
        'settings' => 'our_team_link_first',
         'type'       => 'text',
    ));
    // social first team
    $wp_customize->add_setting('our_team_fblink_first', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_fblink_first', array(
        'label'    => __('Facebook Member Link', 'oneline-lite'),
        'section'  => 'our_team_first',
        'settings' => 'our_team_fblink_first',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('our_team_twlink_first', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_twlink_first', array(
        'label'    => __('Twitter Member Link', 'oneline-lite'),
        'section'  => 'our_team_first',
        'settings' => 'our_team_twlink_first',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('our_team_gpluslink_first', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_gpluslink_first', array(
        'label'    => __('Google+ Member Link', 'oneline-lite'),
        'section'  => 'our_team_first',
        'settings' => 'our_team_gpluslink_first',
         'type'       => 'text',
    ));
     $wp_customize->add_setting('our_team_lilink_first', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_lilink_first', array(
        'label'    => __('LinkedIn Member Link', 'oneline-lite'),
        'section'  => 'our_team_first',
        'settings' => 'our_team_lilink_first',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('our_team_on_first', array(
            'default'           => 'on',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('our_team_on_first', array(
            'label'    => __('Section On/off', 'oneline-lite'),
            'section'  => 'our_team_first',
            'settings' => 'our_team_on_first',
             'type'       => 'radio',
             'choices' => array(
            'off' => 'Off',
            'on' => 'On',
        ),
        ));

//our team second section

     $wp_customize->add_section('our_team_second', array(
        'title'    => __('Second Member Settings', 'oneline-lite'),
         'panel'  => 'team_panel',
    ));
    $wp_customize->add_setting('our_team_img_second', array(
        'capability'        => 'edit_theme_options',
        'default'           =>$team_image,
        'sanitize_callback' => 'oneline_lite_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'our_team_img_second', array(
        'label'    => __('Member Image', 'oneline-lite'),
        'section'  => 'our_team_second',
        'settings' => 'our_team_img_second',
    )));
    $wp_customize->add_setting('our_team_heading_second', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('our_team_heading_second', array(
        'label'    => __('Member Title', 'oneline-lite'),
        'section'  => 'our_team_second',
        'settings' => 'our_team_heading_second',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('our_team_subhead_second', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('our_team_subhead_second', array(
        'label'    => __('Member Designation', 'oneline-lite'),
        'section'  => 'our_team_second',
        'settings' => 'our_team_subhead_second',
         'type'       => 'text',
    ));

       $wp_customize->add_setting('our_team_link_second', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_link_second', array(
        'label'    => __('Member Link', 'oneline-lite'),
        'section'  => 'our_team_second',
        'settings' => 'our_team_link_second',
         'type'       => 'text',
    ));

      // social second team
    $wp_customize->add_setting('our_team_fblink_second', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_fblink_second', array(
        'label'    => __('Facebook Member Link', 'oneline-lite'),
        'section'  => 'our_team_second',
        'settings' => 'our_team_fblink_second',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('our_team_twlink_second', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_twlink_second', array(
        'label'    => __('Twitter Member Link', 'oneline-lite'),
        'section'  => 'our_team_second',
        'settings' => 'our_team_twlink_second',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('our_team_gpluslink_second', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_gpluslink_second', array(
        'label'    => __('Google+ Member Link', 'oneline-lite'),
        'section'  => 'our_team_second',
        'settings' => 'our_team_gpluslink_second',
         'type'       => 'text',
    ));
     $wp_customize->add_setting('our_team_lilink_second', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_lilink_second', array(
        'label'    => __('LinkedIn Member Link', 'oneline-lite'),
        'section'  => 'our_team_second',
        'settings' => 'our_team_lilink_second',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('our_team_on_second', array(
            'default'           => 'on',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('our_team_on_second', array(
            'label'    => __('Section On/off', 'oneline-lite'),
            'section'  => 'our_team_second',
            'settings' => 'our_team_on_second',
             'type'       => 'radio',
             'choices' => array(
            'off' => 'Off',
            'on' => 'On',
        ),
        ));


//our team third section

     $wp_customize->add_section('our_team_third', array(
        'title'    => __('Third Member Settings', 'oneline-lite'),
         'panel'  => 'team_panel',
    ));
    $wp_customize->add_setting('our_team_img_third', array(
        'capability'        => 'edit_theme_options',
        'default'           =>$team_image,
        'sanitize_callback' => 'oneline_lite_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'our_team_img_third', array(
        'label'    => __('Member Image', 'oneline-lite'),
        'section'  => 'our_team_third',
        'settings' => 'our_team_img_third',
    )));
    $wp_customize->add_setting('our_team_heading_third', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('our_team_heading_third', array(
        'label'    => __('Member Title', 'oneline-lite'),
        'section'  => 'our_team_third',
        'settings' => 'our_team_heading_third',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('our_team_subhead_third', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('our_team_subhead_third', array(
        'label'    => __('Member Designation', 'oneline-lite'),
        'section'  => 'our_team_third',
        'settings' => 'our_team_subhead_third',
         'type'       => 'text',
    ));

       $wp_customize->add_setting('our_team_link_third', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_link_third', array(
        'label'    => __('Member Link', 'oneline-lite'),
        'section'  => 'our_team_third',
        'settings' => 'our_team_link_third',
         'type'       => 'text',
    ));

      // social third team
    $wp_customize->add_setting('our_team_fblink_third', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_fblink_third', array(
        'label'    => __('Facebook Member Link', 'oneline-lite'),
        'section'  => 'our_team_third',
        'settings' => 'our_team_fblink_third',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('our_team_twlink_third', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_twlink_third', array(
        'label'    => __('Twitter Member Link', 'oneline-lite'),
        'section'  => 'our_team_third',
        'settings' => 'our_team_twlink_third',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('our_team_gpluslink_third', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_gpluslink_third', array(
        'label'    => __('Google+ Member Link', 'oneline-lite'),
        'section'  => 'our_team_third',
        'settings' => 'our_team_gpluslink_third',
         'type'       => 'text',
    ));
     $wp_customize->add_setting('our_team_lilink_third', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_lilink_third', array(
        'label'    => __('LinkedIn Member Link', 'oneline-lite'),
        'section'  => 'our_team_third',
        'settings' => 'our_team_lilink_third',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('our_team_on_third', array(
            'default'           => 'on',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('our_team_on_third', array(
            'label'    => __('Section On/off', 'oneline-lite'),
            'section'  => 'our_team_third',
            'settings' => 'our_team_on_third',
             'type'       => 'radio',
             'choices' => array(
            'off' => 'Off',
            'on' => 'On',
        ),
        ));

    //our team Fourth section

     $wp_customize->add_section('our_team_fourth', array(
        'title'    => __('Fourth Member Settings', 'oneline-lite'),
         'panel'  => 'team_panel',
    ));
    $wp_customize->add_setting('our_team_img_fourth', array(
        'capability'        => 'edit_theme_options',
        'default'           =>$team_image,
        'sanitize_callback' => 'oneline_lite_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'our_team_img_fourth', array(
        'label'    => __('Member Image', 'oneline-lite'),
        'section'  => 'our_team_fourth',
        'settings' => 'our_team_img_fourth',
    )));
    $wp_customize->add_setting('our_team_heading_fourth', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('our_team_heading_fourth', array(
        'label'    => __('Member Title', 'oneline-lite'),
        'section'  => 'our_team_fourth',
        'settings' => 'our_team_heading_fourth',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('our_team_subhead_fourth', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('our_team_subhead_fourth', array(
        'label'    => __('Member Designation', 'oneline-lite'),
        'section'  => 'our_team_fourth',
        'settings' => 'our_team_subhead_fourth',
         'type'       => 'text',
    ));

       $wp_customize->add_setting('our_team_link_fourth', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_link_fourth', array(
        'label'    => __('Member Link', 'oneline-lite'),
        'section'  => 'our_team_fourth',
        'settings' => 'our_team_link_fourth',
         'type'       => 'text',
    ));

      // social third team
    $wp_customize->add_setting('our_team_fblink_fourth', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_fblink_fourth', array(
        'label'    => __('Facebook Member Link', 'oneline-lite'),
        'section'  => 'our_team_fourth',
        'settings' => 'our_team_fblink_fourth',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('our_team_twlink_fourth', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_twlink_fourth', array(
        'label'    => __('Twitter Member Link', 'oneline-lite'),
        'section'  => 'our_team_fourth',
        'settings' => 'our_team_twlink_fourth',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('our_team_gpluslink_fourth', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_gpluslink_fourth', array(
        'label'    => __('Google+ Member Link', 'oneline-lite'),
        'section'  => 'our_team_fourth',
        'settings' => 'our_team_gpluslink_fourth',
         'type'       => 'text',
    ));
     $wp_customize->add_setting('our_team_lilink_fourth', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('our_team_lilink_fourth', array(
        'label'    => __('LinkedIn Member Link', 'oneline-lite'),
        'section'  => 'our_team_fourth',
        'settings' => 'our_team_lilink_fourth',
         'type'       => 'text',
    ));


     $wp_customize->add_setting('our_team_on_fourth', array(
            'default'           => 'on',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('our_team_on_fourth', array(
            'label'    => __('Section On/off', 'oneline-lite'),
            'section'  => 'our_team_fourth',
            'settings' => 'our_team_on_fourth',
             'type'       => 'radio',
             'choices' => array(
            'off' => 'Off',
            'on' => 'On',
        ),
        ));

        /** End team section **/

/** Testimonial Section ***/
    $wp_customize->add_panel( 'testimonial_panel', array(
        'priority'       => 10,
        'title'          => __('Testimonial Section', 'oneline-lite'),
        ));


                 //  =============================
                //  = Testimonial Settings       =
                //  =============================

//Parallax Background Image
 $wp_customize->add_section('testimonial_bg_heading', array(
        'title'    => __('Testimonial Heading & Background', 'oneline-lite'),
        'priority' => 20,
         'panel'  => 'testimonial_panel',
    ));

    // Testimonial first 1 
     $wp_customize->add_section('section_testimonial_first', array(
        'title'    => __('First Testimonial', 'oneline-lite'),
        'priority' => 20,
         'panel'  => 'testimonial_panel',
    ));
    $wp_customize->add_setting('first_author_image', array(
        'default'           =>$testi_image,
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'first_author_image', array(
        'label'    => __('Author Image', 'oneline-lite'),
        'section'  => 'section_testimonial_first',
        'settings' => 'first_author_image',
    )));

    $wp_customize->add_setting('first_author_name', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('first_author_name', array(
        'label'    => __('Author Name', 'oneline-lite'),
        'section'  => 'section_testimonial_first',
        'settings' => 'first_author_name',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('first_author_url_text', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('first_author_url_text', array(
        'label'    => __('Website Url Text', 'oneline-lite'),
        'section'  => 'section_testimonial_first',
        'settings' => 'first_author_url_text',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('first_author_url', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url'
    ));
    $wp_customize->add_control('first_author_url', array(
        'label'    => __('Url', 'oneline-lite'),
        'section'  => 'section_testimonial_first',
        'settings' => 'first_author_url',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('first_author_desc', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('first_author_desc', array(
        'label'    => __('Testimonial Text', 'oneline-lite'),
        'section'  => 'section_testimonial_first',
        'settings' => 'first_author_desc',
         'type'       => 'textarea',
    ));


    // Testimonial first 2
     $wp_customize->add_section('section_testimonial_second', array(
        'title'    => __('Second Testimonial', 'oneline-lite'),
        'priority' => 20,
         'panel'  => 'testimonial_panel',
    ));
    $wp_customize->add_setting('second_author_image', array(
        'default'           =>$testi_image,
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'second_author_image', array(
        'label'    => __('Author Image', 'oneline-lite'),
        'section'  => 'section_testimonial_second',
        'settings' => 'second_author_image',
    )));

       $wp_customize->add_setting('second_author_name', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('second_author_name', array(
        'label'    => __('Author Name', 'oneline-lite'),
        'section'  => 'section_testimonial_second',
        'settings' => 'second_author_name',
         'type'       => 'text',
    ));



   $wp_customize->add_setting('second_author_url_text', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('second_author_url_text', array(
        'label'    => __('Website Url Text', 'oneline-lite'),
        'section'  => 'section_testimonial_second',
        'settings' => 'second_author_url_text',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('second_author_url', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url'
    ));
    $wp_customize->add_control('second_author_url', array(
        'label'    => __('Url', 'oneline-lite'),
        'section'  => 'section_testimonial_second',
        'settings' => 'second_author_url',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('second_author_desc', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('second_author_desc', array(
        'label'    => __('Testimonial Text', 'oneline-lite'),
        'section'  => 'section_testimonial_second',
        'settings' => 'second_author_desc',
         'type'       => 'textarea',
    ));

  



/** woocommerce section**/
 $wp_customize->add_panel( 'woo_panel', array(
        'priority'       => 12,
        'title'          => __('Woocommerce Section', 'oneline-lite'),
        ));
    //header
$wp_customize->add_section('woo_setting', array(
            'title'    => __('Settings', 'oneline-lite'),
            'priority' => 1,
            'panel'    =>'woo_panel'
            ));
        $wp_customize->add_setting('woo_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
       $wp_customize->add_control('woo_heading', array(
            'label'    => __('Main Heading', 'oneline-lite'),
            'section'  => 'woo_setting',
            'settings' => 'woo_heading',
             'type'       => 'text',
            )); 
        $wp_customize->add_setting('woo_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
        $wp_customize->add_control('woo_subheading', array(
            'label'    => __('Sub Heading', 'oneline-lite'),
            'section'  => 'woo_setting',
            'settings' => 'woo_subheading',
             'type'       => 'textarea',
            ));
        $wp_customize->add_setting('woo_shortcode', array(
            'default'        => '[recent_products]',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
        $wp_customize->add_control('woo_shortcode', array(
            'label'    => __('Woocommerce Shortcode', 'oneline-lite'),
            'section'  => 'woo_setting',
            'settings' => 'woo_shortcode',
             'type'       => 'textarea',
            ));
            /**End testimonial section**/


/** Latest Post Section ***/
    $wp_customize->add_panel( 'blog_panel', array(
        'priority'       => 11,
        'title'          => __('Latest Post Section', 'oneline-lite'),
        ));
    //header
        $wp_customize->add_section('blog_setting', array(
            'title'    => __('Settings', 'oneline-lite'),
            'priority' => 1,
            'panel'    =>'blog_panel'
            ));
        $wp_customize->add_setting('blog_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
       $wp_customize->add_control('blog_heading', array(
            'label'    => __('Main Heading', 'oneline-lite'),
            'section'  => 'blog_setting',
            'settings' => 'blog_heading',
             'type'       => 'text',
            )); 
        $wp_customize->add_setting('blog_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
        $wp_customize->add_control('blog_subheading', array(
            'label'    => __('Sub Heading', 'oneline-lite'),
            'section'  => 'blog_setting',
            'settings' => 'blog_subheading',
             'type'       => 'textarea',
            ));
//= Choose All Category  =
    $cats = array();
   $cats[0] = 'All Categories';
    foreach ( get_categories() as $categories => $category ){
        $cats[$category->term_id] = $category->name;
    }
   
     $wp_customize->add_setting('slider_cate', array(
        'default'        => 1,
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_attr',
    ));
    $wp_customize->add_control('slider_cate', array(
        'settings' => 'slider_cate',
        'label'   => __('Latest Post Category','oneline-lite'),
        'section' => 'blog_setting',
        'type' => 'select',
        'choices' => $cats,
    ) );
    $wp_customize->add_setting('slider_count', array(
        'default'        => 4,
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_attr',
    ));
    $wp_customize->add_control('slider_count', array(
        'settings'  => 'slider_count',
        'label'     => __('Number of Post','oneline-lite'),
        'section'   => 'blog_setting',
        'type'      => 'number',
       'input_attrs' => array('min' => 1,'max' => 10)

    ) );

/** Contact Us Section ***/
    $wp_customize->add_panel( 'contactus_panel', array(
        'priority'       => 13,
        'title'          => __('Contact Us Section', 'oneline-lite'),
        ));
    //header
        $wp_customize->add_section('contactus_setting', array(
            'title'    => __('Settings', 'oneline-lite'),
            'priority' => 1,
            'panel'    =>'contactus_panel'
            ));
        $wp_customize->add_setting('contactus_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
       $wp_customize->add_control('contactus_heading', array(
            'label'    => __('Main Heading', 'oneline-lite'),
            'section'  => 'contactus_setting',
            'settings' => 'contactus_heading',
             'type'       => 'text',
            )); 
        $wp_customize->add_setting('contactus_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
        $wp_customize->add_control('contactus_subheading', array(
            'label'    => __('Sub Heading', 'oneline-lite'),
            'section'  => 'contactus_setting',
            'settings' => 'contactus_subheading',
             'type'       => 'textarea',
            ));
         $wp_customize->add_setting('contactus_shortcode', array(
            'default'           => '[lead-form form-id=1 title=Contact Us]',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
        $wp_customize->add_control('contactus_shortcode', array(
            'label'    => __('Contact Us Shortcode', 'oneline-lite'),
            'description' =>__('Lead Form Builder Plugin Shortcode Insert.','oneline-lite'),
            'section'  => 'contactus_setting',
            'settings' => 'contactus_shortcode',
             'type'       => 'textarea',
            ));
        
        $wp_customize->add_setting('contactus_address_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
       $wp_customize->add_control('contactus_address_heading', array(
            'label'    => __('Address Heading', 'oneline-lite'),
            'section'  => 'contactus_setting',
            'settings' => 'contactus_address_heading',
             'type'       => 'text',
            ));
        $wp_customize->add_setting('contactus_address', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_lite_sanitize_textarea'
            ));
        $wp_customize->add_control('contactus_address', array(
            'label'    => __('Full Address', 'oneline-lite'),
            'section'  => 'contactus_setting',
            'settings' => 'contactus_address',
             'type'       => 'textarea',
            ));    
  //image
        $wp_customize->add_section('contactus_image', array(
            'title'    => __('Image', 'oneline-lite'),
            'priority' => 3,
            'panel'    =>'contactus_panel'
        ));
        $wp_customize->add_setting('contactus_bg_image', array(
            'default'        => '',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control(
            $wp_customize, 'contactus_bg_image', array(
            'label'    => __('Upload Background Image', 'oneline-lite'),
            'section'  => 'contactus_image',
            'settings' => 'contactus_bg_image',
        )));
//color
        $wp_customize->add_section('contactus_color', array(
            'title'    => __('Color', 'oneline-lite'),
            'priority' => 4,
            'panel'    =>'contactus_panel'
        ));
        $wp_customize->add_setting('contactus_background_color', array(
            'default'        => '#1F1F1F',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'contactus_background_color', array(
            'label'      => __('Background Color', 'oneline-lite' ),
            'section'    => 'contactus_color',
            'settings'   => 'contactus_background_color',
        ) ) );
            $wp_customize->add_setting('contactus_heading_color', array(
            'default'        => '#fff',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'contactus_heading_color', array(
            'label'      => __('Heading Color', 'oneline-lite' ),
            'section'    => 'contactus_color',
            'settings'   => 'contactus_heading_color',
        ) ) );
        $wp_customize->add_setting('contactus_subheading_color', array(
            'default'        => '#808080',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'contactus_subheading_color', array(
            'label'      => __('Sub Heading Color', 'oneline-lite' ),
            'section'    => 'contactus_color',
            'settings'   => 'contactus_subheading_color',
            )));
        $wp_customize->add_setting('contactus_address_heading_color', array(
            'default'        => '#D4B068',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'contactus_address_heading_color', array(
            'label'      => __('Address Title Color', 'oneline-lite' ),
            'section'    => 'contactus_color',
            'settings'   => 'contactus_address_heading_color',
            )));
        $wp_customize->add_setting('contactus_address_color', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'contactus_address_color', array(
            'label'      => __('Address Color', 'oneline-lite' ),
            'section'    => 'contactus_color',
            'settings'   => 'contactus_address_color',
            )));

        $wp_customize->add_setting('contactus_button_bg_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'contactus_button_bg_color', array(
        'label'      => __('Button Color', 'oneline-lite' ),
        'section'    => 'contactus_color',
        'settings'   => 'contactus_button_bg_color',
        ) ) );

        $wp_customize->add_setting('contactus_button_hover_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'contactus_button_hover_color', array(
        'label'      => __('Button Hover Color', 'oneline-lite' ),
        'section'    => 'contactus_color',
        'settings'   => 'contactus_button_hover_color',
        ) ) );

    endif; 

/** Custom Colors ***/

    $wp_customize->get_section('colors')->title = esc_html__('Style Settings', 'oneline-lite');
    $wp_customize->get_section('colors')->priority = 15;
if( get_bloginfo( 'version' ) < '4.7'):
   $wp_customize->add_setting('custom_css_text', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'oneline_lite_sanitize_textarea'
    ));
    $wp_customize->add_control('custom_css_text', array(
        'settings' => 'custom_css_text',
        'label'     => 'Custom Css',
        'section' => 'colors',
        'type'    => 'textarea',
    ) );          
endif;
/** Footer Section ***/
    $wp_customize->add_panel( 'footer_panel', array(
        'priority'       => 16,
        'title'          => __('Footer & Social Icon Section', 'oneline-lite'),
        ));
    //copyright
        $wp_customize->add_section('copyright_setting', array(
            'title'    => __('Copyright Text', 'oneline-lite'),
            'priority' => 1,
            'panel'    =>'footer_panel'
            ));
        $wp_customize->add_setting('copyright_text', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
       $wp_customize->add_control('copyright_text', array(
            'label'    => __('Copyright Text', 'oneline-lite'),
            'section'  => 'copyright_setting',
            'settings' => 'copyright_text',
             'type'       => 'text',
            )); 
    //social icon        
       $wp_customize->add_section('social_option', array(
            'title'    => __('Social Icon Option', 'oneline-lite'),
            'priority' => 2,
            'panel'    =>'footer_panel'
            ));
       $wp_customize->add_setting('social_link_facebook', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
        ));
        $wp_customize->add_control('social_link_facebook', array(
        'label'    => __('Facebook URL', 'oneline-lite'),
        'section'  => 'social_option',
        'settings' => 'social_link_facebook',
         'type'       => 'text',
        ));

        $wp_customize->add_setting('social_link_google', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
        ));
        $wp_customize->add_control('social_link_google', array(
        'label'    => __('Google+ URL', 'oneline-lite'),
        'section'  => 'social_option',
        'settings' => 'social_link_google',
         'type'       => 'text',
        ));
        $wp_customize->add_setting('social_link_linkedin', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
        ));
        $wp_customize->add_control('social_link_linkedin', array(
        'label'    => __('LinkedIn URL', 'oneline-lite'),
        'section'  => 'social_option',
        'settings' => 'social_link_linkedin',
         'type'       => 'text',
        ));
        $wp_customize->add_setting('social_link_pintrest', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
        ));
        $wp_customize->add_control('social_link_pintrest', array(
        'label'    => __('Pintrest URL', 'oneline-lite'),
        'section'  => 'social_option',
        'settings' => 'social_link_pintrest',
         'type'       => 'text',
        ));
        $wp_customize->add_setting('social_link_twitter', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
        'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('social_link_twitter', array(
        'label'    => __('Twitter URL', 'oneline-lite'),
        'section'  => 'social_option',
        'settings' => 'social_link_twitter',
         'type'       => 'text',
        ));
 // selective-refresh option added
$wp_customize->selective_refresh->add_partial( 'blogname', array(
        'selector' => '#logo .site-title a',
        'render_callback' => function() {
            bloginfo( 'name' );
        },
) );
$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
        'selector' => '#logo p',
        'render_callback' => function() {
            bloginfo( 'description' );
        },
) );       
// slider
$wp_customize->selective_refresh->add_partial( 'first_slider_heading', array(
        'selector' => '#slider-div h2.title a',
) );
$wp_customize->selective_refresh->add_partial( 'first_button_text', array(
        'selector' => '#slider-div .slider-button',
) );
// services
$wp_customize->selective_refresh->add_partial( 'our_services_heading', array(
        'selector' => '#services h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'our_services_subheading', array(
        'selector' => '#services p.sub-heading',
) );
// ribbon
$wp_customize->selective_refresh->add_partial( 'ribbon_heading', array(
        'selector' => '#ribbon h3.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'ribbon_button_text', array(
        'selector' => '#ribbon .ribbon-button',
) );
// team
$wp_customize->selective_refresh->add_partial( 'team_heading', array(
        'selector' => '#team h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'team_subheading', array(
        'selector' => '#team p.sub-heading',
) );
// post
$wp_customize->selective_refresh->add_partial( 'blog_heading', array(
        'selector' => '#latest-post h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'blog_subheading', array(
        'selector' => '#latest-post p.sub-heading',
) );
// woocommerce
$wp_customize->selective_refresh->add_partial( 'woo_heading', array(
        'selector' => '#woo-section h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'woo_subheading', array(
        'selector' => '#woo-section p.sub-heading',
) );
// contact
$wp_customize->selective_refresh->add_partial( 'contactus_heading', array(
    'selector' => '#contact h2.cnt-main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'contactus_subheading', array(
        'selector' => '#contact p.cnt-sub-heading',
) );
$wp_customize->selective_refresh->add_partial( 'contactus_address_heading', array(
        'selector' => '#contact .add-heading h3',
) );
$wp_customize->selective_refresh->add_partial( 'contactus_address', array(
        'selector' => '#contact .addrs p',
) );
$wp_customize->selective_refresh->add_partial( 'contactus_shortcode', array(
        'selector' => '#contact .cnt-div',
) );
// copyright
$wp_customize->selective_refresh->add_partial( 'copyright_text', array(
        'selector' => '.foot-copyright span.text-footer',
) );
$wp_customize->selective_refresh->add_partial( 'social_link_facebook', array(
        'selector' => '.social-ft i.fa-facebook',
) );

}
add_action('customize_register','oneline_lite_customize_register');
?>