<?php 
 if(get_theme_mod('demo_content_endis','disable') =='enable'){ 
$heading = esc_html(get_theme_mod('our_services_heading',''));
$subheading = esc_html(get_theme_mod('our_services_subheading',''));
?>
<div class="service-wrapper">
<?php 
echo  oneline_lite_svg_enable(); 
 ?>
<section id="services" class="svg_enable" data-center="background-position: 50% 0px;" data-top-bottom="background-position: 50% -100px;" >
    <div class="container">
        <div class="page-services">
        <?php if($heading!=''){ ?>
            <h2 class="main-heading wow fadeInRight" data-wow-delay="0s"><?php echo $heading; ?></h2>
            <?php } ?>
            <?php if($subheading!=''){ ?>
            <p class="sub-heading wow fadeInRight" data-wow-delay="0s"><?php echo $subheading; ?></p>
            <?php }  ?>
    
            <?php  if(get_theme_mod('demo_content_endis','disable') =='enable'){  ?>

                <h2 class="main-heading wow fadeInRight" data-wow-delay="0s"><?php _e('','oneline-lite'); ?></h2>

                <p class="sub-heading wow fadeInRight" data-wow-delay="0s"><?php _e('','oneline-lite'); ?> </p>
            <?php } ?>
            <div class="service-block">
                <ul class="service-grid wow fadeInLeft" data-wow-delay="0s">
                     <?php if(get_theme_mod('first_service_heading','') != ''): ?>
                 <li class="service-list">
                        <div class="service-icon"><a href="<?php
                        if (get_theme_mod('first_service_link','') != '') {
                        echo esc_url(get_theme_mod('first_service_link',''));
                    } ?>"><i  class="fa fa-lightbulb-o"></i></a></div>
                        
                        <div class="service-title"><a href="<?php
                        if (get_theme_mod('first_service_link','') != '') {
                        echo esc_url(get_theme_mod('first_service_link',''));
                    } ?>"><?php echo esc_html(get_theme_mod('first_service_heading','')); ?></a></div>
                        <div class="service-content"><p><?php echo esc_textarea(get_theme_mod('first_service_desc','')); ?></p></div>
                    </li>
                <?php else: ?>
                <li class="service-list">
    
                        <div class="service-icon1"><a href=""></a></div>
                        
                        <div class="service-title"><a href=""><?php _e('IDEAS AND CONCEPTS','oneline-lite'); ?></a></div>
                        <div class="service-content"><p>
                        <?php _e('Lorem ipsum dolor sit amet, consectetur elit adipiscing. Etiam lectus libero, tincidunt et eu augue, congue finibus est.','oneline-lite'); ?>
                        </p></div>
                    </li>
                <?php endif; ?>

                <?php if(get_theme_mod('second_service_heading','') != ''): ?>
                 <li class="service-list">
                        <div class="service-icon"><a href="<?php
                        if (get_theme_mod('second_service_link','') != '') {
                        echo esc_url(get_theme_mod('second_service_link',''));
                    } ?>"><i  class="fa fa-microphone"></i></a></div>
                        
                        <div class="service-title"><a href="<?php
                        if (get_theme_mod('second_service_link','') != '') {
                        echo esc_url(get_theme_mod('second_service_link',''));
                    } ?>"><?php echo esc_html(get_theme_mod('second_service_heading','')); ?></a></div>
                        <div class="service-content"><p><?php echo esc_textarea(get_theme_mod('second_service_desc','')); ?></p></div>
                    </li>
                <?php else: ?>

                    <li class="service-list">
                        
                        <div class="service-icon2"><a href=""></a></div>
                        
                        <div class="service-title"><a href=""><?php _e('DESIGNS & INTERFACES','oneline-lite'); ?></a></div>
                        <?php _e('Lorem ipsum dolor sit amet, consectetur elit adipiscing. Etiam lectus libero, tincidunt et eu augue, congue finibus est.','oneline-lite'); ?>
                    </li>
                <?php endif; ?>

                <?php if(get_theme_mod('third_service_heading','') != ''): ?>
                 <li class="service-list">
                        <div class="service-icon"><a href="<?php
                        if (get_theme_mod('third_service_link','') != '') {
                        echo esc_url(get_theme_mod('third_service_link',''));
                    } ?>"><i  class="fa fa-cogs"></i></a></div>
                        
                        <div class="service-title"><a href="<?php
                        if (get_theme_mod('third_service_link','') != '') {
                        echo esc_url(get_theme_mod('third_service_link',''));
                    } ?>"><?php echo esc_html(get_theme_mod('third_service_heading','')); ?></a></div>
                        <div class="service-content"><p><?php echo esc_textarea(get_theme_mod('third_service_desc','')); ?></p></div>
                    </li>
                <?php else: ?>
                <li class="service-list">
                        <div class="service-icon3"><a href=""></a></div>
                        <div class="service-title"><a href=""><?php _e('HIGHLY CUSTOMIZABLE','oneline-lite'); ?></a></div>
                        <?php _e('Lorem ipsum dolor sit amet, consectetur elit adipiscing. Etiam lectus libero, tincidunt et eu augue, congue finibus est.','oneline-lite'); ?>
                    </li>
                <?php endif; ?>

                <?php if(get_theme_mod('fourth_service_heading','') != ''): ?>
                 <li class="service-list">
                        <div class="service-icon"><a href="<?php
                        if (get_theme_mod('fourth_service_link','') != '') {
                        echo esc_url(get_theme_mod('fourth_service_link',''));
                    } ?>"><i  class="fa fa-thumbs-o-up"></i></a></div>
                        
                        <div class="service-title"><a href="<?php
                        if (get_theme_mod('fourth_service_link','') != '') {
                        echo esc_url(get_theme_mod('fourth_service_link',''));
                    } ?>"><?php echo esc_html(get_theme_mod('fourth_service_heading','')); ?></a></div>
                        <div class="service-content"><p><?php echo esc_textarea(get_theme_mod('fourth_service_desc','')); ?></p></div>
                    </li>
                <?php else: ?>
                <li class="service-list">
                        <div class="service-icon4"><a href=""></a></div>
                        <div class="service-title"><a href=""><?php _e('EASY TO USE','oneline-lite'); ?></a></div>
                        <?php _e('Lorem ipsum dolor sit amet, consectetur elit adipiscing. Etiam lectus libero, tincidunt et eu augue, congue finibus est.','oneline-lite'); ?>
                    </li>
                <?php endif; ?>
                </ul>
            </div>
        </div>
    </div>
</section>
</div>
<div class="clearfix"></div>
<?php } ?>