<?php
/**
 * The template part for displaying content
 *
 * @package ThemeHunk
 * @subpackage Oneline Lite
 * @since Oneline Lite 1.0
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="single-header">
	<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
			<span class="sticky-post"><?php _e( 'Featured', 'oneline-lite' ); ?></span>
		<?php endif; ?>
	
	<span class="post-date"><p><?php the_category(' / '); ?> <i class="fa fa-asterisk" aria-hidden="true"></i>
	<a href="<?php the_permalink(); ?>"> <?php echo get_the_date(); ?></a>
	</p></span>
	</div>
    <div class="post-detail clear">
    	<?php the_content(); ?>
    </div>
	<?php
	    wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'oneline-lite' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'oneline-lite' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
	?>    	
	<div class="post-meta">
		<span class="post-comment"><a href="<?php comments_link(); ?>" title=""><?php comments_number(__('No Comments', 'oneline-lite'), __('One Comment', 'oneline-lite'),  __('% Comments', 'oneline-lite') ); ?></a></span>
		<span class="post-author">
		<?php the_author_posts_link(); ?>
		</span>
	</div>

<div class="post-bottom-strip">
	<div class="post-social-icon">
		<div class="post-social-meta">
			<ul>
				<li class="post-social-social-fb"><a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>"></a></li>
				<li class="post-social-social-tw"><a target="_blank" href="https://twitter.com/home?status=<?php the_title(); ?>-<?php the_permalink(); ?>"></a></li>
				<li class="post-social-social-gm"><a target="_blank" href="https://plus.google.com/share?url=<?php the_permalink(); ?>"></a></li>
				<li class="post-social-social-ln"><a target="_blank" href="https://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>&title=<?php the_title(); ?>&source=LinkedIn"></a></li>
			</ul>
		</div>
	</div>
</div>
</article>