<!-- TEAM SECTION START -->
<?php 
 if(get_theme_mod('demo_content_endis','disable') =='enable'){ 
    $heading = esc_html(get_theme_mod('team_heading',''));
    $subheading = esc_html(get_theme_mod('team_subheading',''));
?>
<div class="team-wrapper">
<?php
echo oneline_lite_svg_enable(); 
?>
<section id="team" class="svg_enable" data-center="background-position: 50% 0px;" data-top-bottom="background-position: 50% -100px;">
    <div class="container">
        <div class="page-team">
               <?php if($heading!=''){ ?>
            <h2 class="main-heading wow fadeInLeft" data-wow-delay="0s"><?php echo $heading; ?></h2>
            <?php }else { ?>
            <h2 class="main-heading wow fadeInLeft" data-wow-delay="0s"><?php _e('Our Team','oneline-lite'); ?></h2>
            <?php } ?>
            <?php if($subheading!=''){ ?>
            <p class="sub-heading wow fadeInLeft" data-wow-delay="0s"><?php echo $subheading; ?></p>
            <?php }  else { ?>
            <p class="sub-heading wow fadeInLeft" data-wow-delay="0s"><?php _e('Lorem ipsum dolor sit amet, consectetur elit adipiscing ','oneline-lite'); ?> </p>
            <?php } ?>

            <div class="team-block">
                <ul class="team-grid wow fadeInRight" data-wow-delay="0s">
                <?php
                $demo_image =get_template_directory_uri().'/images/Team-Placeholder.jpg';
             ?>
                   
                    <?php if(get_theme_mod('our_team_on_first','on')=='on'): ?>
                     <li class="team-list">
                        <figure class="team-content"><img src="<?php echo esc_url(get_theme_mod('our_team_img_first',$demo_image)); ?>" alt="Feature Image 1" />
                            <figcaption>
                            <a href="<?php echo esc_url(get_theme_mod('our_team_link_first','')); ?>"><h3><?php echo esc_html(get_theme_mod('our_team_heading_first','')); ?></h3></a>
                            <h4><?php echo esc_html(get_theme_mod('our_team_subhead_first','')); ?></h4>
                            <div class="team-social-meta">
                                <ul>
                                <?php if(get_theme_mod('our_team_fblink_first','#')!=''){ ?>
                                    <li class="fa fa-facebook"></li>
                                    <?php } ?>
                                    <?php if(get_theme_mod('our_team_twlink_first','#')!=''){ ?>
                                    <li class="team-social-social-tw"><a href="<?php echo esc_url(get_theme_mod('our_team_twlink_first','')); ?>"></a></li>
                                    <?php } ?>

                                    <?php if(get_theme_mod('our_team_gpluslink_first','#')!=''){ ?>
                                    <li class="team-social-social-gm"><a href="<?php echo esc_url(get_theme_mod('our_team_gpluslink_first','')); ?>"></a></li>
                                    <?php } ?>

                                <?php if(get_theme_mod('our_team_lilink_first','')!=''){ ?>
                                    <li class="team-social-social-ln"><a href="<?php echo esc_url(get_theme_mod('our_team_lilink_first','')); ?>"></a></li>
                                    <?php } ?>
                                </ul>
                            </div>
                            </figcaption>
                        </figure>                        
                    </li>
                <?php else: ?>
                    <li class="team-list">
                        <figure class="team-content"><img src="<?php echo $demo_image; ?>" alt="Feature Image 4" />
                            <figcaption>
                            <a href=""><h3><?php _e('Kerry Smith','oneline-lite'); ?></span></h3></a>
                            <h4>
                            Creator
                            </h4>
                            <div class="team-social-meta">
                                <ul>
                                    <li class="team-social-social-fb"><a href=""></a></li>
                                    <li class="team-social-social-tw"><a href=""></a></li>
                                    <li class="team-social-social-gm"><a href=""></a></li>
                                    <li class="team-social-social-ln"><a href=""></a></li>
                                </ul>
                            </div>
                            </figcaption>
                        </figure>
                    </li>
                <?php endif; ?>

                 <?php if(get_theme_mod('our_team_on_second','on')=='on'): ?>
                     <li class="team-list">
                        <figure class="team-content"><img src="<?php echo esc_url(get_theme_mod('our_team_img_second',$demo_image)); ?>" alt="Feature Image 1" />
                            <figcaption>
                            <a href="<?php echo esc_url(get_theme_mod('our_team_link_second','')); ?>"><h3><?php echo esc_html(get_theme_mod('our_team_heading_second','')); ?></h3></a>
                            <h4><?php echo esc_html(get_theme_mod('our_team_subhead_second','')); ?></h4>
                            <div class="team-social-meta">
                                <ul>
                                <?php if(get_theme_mod('our_team_fblink_second','#')!=''){ ?>
                                    <li class="team-social-social-fb"><a href="<?php echo esc_url(get_theme_mod('our_team_fblink_second','')); ?>"></a></li>
                                    <?php } ?>
                                    <?php if(get_theme_mod('our_team_twlink_second','#')!=''){ ?>
                                    <li class="team-social-social-tw"><a href="<?php echo esc_url(get_theme_mod('our_team_twlink_second','')); ?>"></a></li>
                                    <?php } ?>

                                    <?php if(get_theme_mod('our_team_gpluslink_second','#')!=''){ ?>
                                    <li class="team-social-social-gm"><a href="<?php echo esc_url(get_theme_mod('our_team_gpluslink_second','')); ?>"></a></li>
                                    <?php } ?>

                                <?php if(get_theme_mod('our_team_lilink_second','')!='#'){ ?>
                                    <li class="team-social-social-ln"><a href="<?php echo esc_url(get_theme_mod('our_team_lilink_second','')); ?>"></a></li>
                                    <?php } ?>
                                </ul>
                            </div>
                            </figcaption>
                        </figure>                        
                    </li>
<?php else: ?>
                    <li class="team-list">
                        <figure class="team-content"><img src="<?php echo $demo_image; ?>" alt="Feature Image 4" />
                            <figcaption>
                            <a href=""><h3><?php _e('Kerry Smith','oneline-lite'); ?></h3></a>
                            <h4>
                            Creator
                            </h4>
                            <div class="team-social-meta">
                                <ul>
                                    <li class="team-social-social-fb"><a href=""></a></li>
                                    <li class="team-social-social-tw"><a href=""></a></li>
                                    <li class="team-social-social-gm"><a href=""></a></li>
                                    <li class="team-social-social-ln"><a href=""></a></li>
                                </ul>
                            </div>
                            </figcaption>
                        </figure>
                    </li>
                <?php endif; ?>                 <?php if(get_theme_mod('our_team_on_third','on')=='on'): ?>
                     <li class="team-list">
                        <figure class="team-content"><img src="<?php echo esc_url(get_theme_mod('our_team_img_third',$demo_image)); ?>" alt="Feature Image 1" />
                            <figcaption>
                            <a href="<?php echo esc_url(get_theme_mod('our_team_link_third','')); ?>"><h3><?php echo esc_html(get_theme_mod('our_team_heading_third','')); ?></h3></a>
                            <h4><?php echo esc_html(get_theme_mod('our_team_subhead_third','')); ?></h4>
                            <div class="team-social-meta">
                                <ul>
                                <?php if(get_theme_mod('our_team_fblink_third','')!='#'){ ?>
                                    <li class="team-social-social-fb"><a href="<?php echo esc_url(get_theme_mod('our_team_fblink_third','')); ?>"></a></li>
                                    <?php } ?>
                                    <?php if(get_theme_mod('our_team_twlink_third','')!='#'){ ?>
                                    <li class="team-social-social-tw"><a href="<?php echo esc_url(get_theme_mod('our_team_twlink_third','')); ?>"></a></li>
                                    <?php } ?>

                                    <?php if(get_theme_mod('our_team_gpluslink_third','')!='#'){ ?>
                                    <li class="team-social-social-gm"><a href="<?php echo esc_url(get_theme_mod('our_team_gpluslink_third','')); ?>"></a></li>
                                    <?php } ?>

                                <?php if(get_theme_mod('our_team_lilink_third','')!='#'){ ?>
                                    <li class="team-social-social-ln"><a href="<?php echo esc_url(get_theme_mod('our_team_lilink_third','')); ?>"></a></li>
                                    <?php } ?>
                                </ul>
                            </div>
                            </figcaption>
                        </figure>                        
                    </li>
<?php else: ?>
                    <li class="team-list">
                        <figure class="team-content"><img src="<?php echo $demo_image; ?>" alt="Feature Image 4" />
                            <figcaption>
                            <a href=""><h3><?php _e('Kerry Smith','oneline-lite'); ?></h3></a>
                            <h4>
                            Creator
                            </h4>
                            <div class="team-social-meta">
                                <ul>
                                    <li class="team-social-social-fb"><a href=""></a></li>
                                    <li class="team-social-social-tw"><a href=""></a></li>
                                    <li class="team-social-social-gm"><a href=""></a></li>
                                    <li class="team-social-social-ln"><a href=""></a></li>
                                </ul>
                            </div>
                            </figcaption>
                        </figure>
                    </li>
                <?php endif; ?>                
                        <?php if(get_theme_mod('our_team_on_fourth','on')=='on'): ?>
                     <li class="team-list">
                        <figure class="team-content"><img src="<?php echo esc_url(get_theme_mod('our_team_img_fourth',$demo_image)); ?>" alt="Feature Image 1" />
                            <figcaption>
                            <a href="<?php echo esc_url(get_theme_mod('our_team_link_fourth','')); ?>"><h3><?php echo esc_html(get_theme_mod('our_team_heading_fourth','')); ?></h3></a>
                            <h4><?php echo esc_html(get_theme_mod('our_team_subhead_fourth','')); ?></h4>
                            <div class="team-social-meta">
                                <ul>
                                <?php if(get_theme_mod('our_team_fblink_fourth','')!='#'){ ?>
                                    <li class="team-social-social-fb"><a href="<?php echo esc_url(get_theme_mod('our_team_fblink_fourth','')); ?>"></a></li>
                                    <?php } ?>
                                    <?php if(get_theme_mod('our_team_twlink_fourth','')!='#'){ ?>
                                    <li class="team-social-social-tw"><a href="<?php echo esc_url(get_theme_mod('our_team_twlink_fourth','')); ?>"></a></li>
                                    <?php } ?>

                                    <?php if(get_theme_mod('our_team_gpluslink_fourth','')!='#'){ ?>
                                    <li class="team-social-social-gm"><a href="<?php echo esc_url(get_theme_mod('our_team_gpluslink_fourth','')); ?>"></a></li>
                                    <?php } ?>

                                <?php if(get_theme_mod('our_team_lilink_fourth','')!='#'){ ?>
                                    <li class="team-social-social-ln"><a href="<?php echo esc_url(get_theme_mod('our_team_lilink_fourth','')); ?>"></a></li>
                                    <?php } ?>
                                </ul>
                            </div>
                            </figcaption>
                        </figure>                        
                    </li>
<?php else: ?>
                    <li class="team-list">
                        <figure class="team-content"><img src="<?php echo $demo_image; ?>" alt="Feature Image 4" />
                            <figcaption>
                            <a href=""><h3><?php _e('Kerry Smith','oneline-lite'); ?></h3></a>
                            <h4>
                            Creator
                            </h4>
                            <div class="team-social-meta">
                                <ul>
                                    <li class="team-social-social-fb"><a href=""></a></li>
                                    <li class="team-social-social-tw"><a href=""></a></li>
                                    <li class="team-social-social-gm"><a href=""></a></li>
                                    <li class="team-social-social-ln"><a href=""></a></li>
                                </ul>
                            </div>
                            </figcaption>
                        </figure>
                    </li>
                <?php endif; ?>                </ul>
            </div>
        </div>
    </div>
</section>
</div>
<div class="clearfix"></div>
<!-- TEAM SECTION END -->
<?php } ?>