<?php
 if(get_theme_mod('demo_content_endis','disable') =='enable'){ 

$heading = esc_html(get_theme_mod('testimonial_heading',''));
$subheading = esc_html(get_theme_mod('testimonial_subheading',''));
?>
<div class="testimonials-wrapper">
	<?php
	echo oneline_lite_svg_enable();
	?>
	<section class="testimonials svg_enable" id="testimonials" data-center="background-position: 50% 0px;" data-top-bottom="background-position: 50% -100px;>
		<div class="container">
			<div class="testimonials-box">
				<div class="testimonials-div">
					<ul class="bxslider wow fadeInUp" data-wow-delay=".5s">
						<?php $team_image =get_template_directory_uri().'/images/testimonial-image.png'; ?>
<?php if(get_theme_mod('first_author_image')!='') { ?>
<li><div class="image-test">
				<img src="<?php echo esc_html(get_theme_mod('first_author_image',$team_image)); ?>">
			</div>
			<div class="test-cont-heading"><h2><?php echo esc_html(get_theme_mod('first_author_name','')); ?></h2></div>
			<div class="test-cont"><a href="<?php echo esc_url(get_theme_mod('first_author_url','')); ?>"><p><?php echo esc_html(get_theme_mod('first_author_url_text','')); ?></h2></p><div class="brd-testimonial"></div></a><p><?php echo esc_html(get_theme_mod('first_author_desc','')); ?>
		</p>
	</div>
</li>
<?php } else { ?>

	<li><div class="image-test">
							<img src="<?php echo $team_image; ?>">
						</div>
						<div class="test-cont-heading">
						<h2><?php _e('Michael Rocks','oneline-lite'); ?></h2></div>
						<div class="test-cont"><a href=""><p><?php _e('Google.com','oneline-lite'); ?></p><div class="brd-testimonial"></div></a><p><?php _e('Sed posuere consectetur est at lobortis. Fusce dapibus, tellus ac cursus commodo.Cras mattis consectetur purus sit amet fermentum. Sed posuere consectetur est at lobortis. Fusce dapibus, tellus ac cursus commodo.Sed posuere consectetur est at lobortis. .Sed posuere consectetur est at lobortis. Fusce dapibus, tellus ac cursus commodo.Cras mattis consectetur purus sit amet fermentum. Sed posuere consectetur est at lobortis. Fusce dapibus, tellus ac cursus commodo.Sed posuere consectetur est at lobortis','oneline-lite'); ?>
					</p>
				</div>
			</li>
<?php } ?>

<?php if(get_theme_mod('second_author_image')!='') { ?>

<li><div class="image-test">
				<img src="<?php echo esc_html(get_theme_mod('second_author_image',$team_image)); ?>">
			</div>
			<div class="test-cont-heading"><h2><?php echo esc_html(get_theme_mod('second_author_name','')); ?></h2></div>
			<div class="test-cont"><a href="<?php echo esc_url(get_theme_mod('second_author_url','')); ?>"><p><?php echo esc_html(get_theme_mod('second_author_url_text','')); ?></h2></p><div class="brd-testimonial"></div></a><p><?php echo esc_html(get_theme_mod('second_author_desc','')); ?>
		</p>
	</div>
</li>
<?php } else { ?>
	<li><div class="image-test">
				<img src="<?php echo $team_image; ?>">
			</div>
			<div class="test-cont-heading">
						<h2><?php _e('Michael Rocks','oneline-lite'); ?></h2></div>
			<div class="test-cont"><a href=""><p><?php _e('Google.com','oneline-lite'); ?></p><div class="brd-testimonial"></div></a><p><?php _e('Sed posuere consectetur est at lobortis. Fusce dapibus, tellus ac cursus commodo.Cras mattis consectetur purus sit amet fermentum. Sed posuere consectetur est at lobortis. Fusce dapibus, tellus ac cursus commodo.Sed posuere consectetur est at lobortis. .Sed posuere consectetur est at lobortis. Fusce dapibus, tellus ac cursus commodo.Cras mattis consectetur purus sit amet fermentum. Sed posuere consectetur est at lobortis. Fusce dapibus, tellus ac cursus commodo.Sed posuere consectetur est at lobortis','oneline-lite'); ?>
			</p>
	</div>
</li>
<?php } ?>
</ul>
</div>
</div>
</div>
</section>
</div>
<div class="clearfix"></div>
<?php } ?>